<h1>Registered users</h1>
<?php if ( count ( $users ) ) : ?>
<form method="get" action="browse.php">
    <p>
	<label><input type="checkbox" name="public" value="1" <?=@$public_only?'checked="checked"':''?> onclick="this.form.submit();" class="chkbox" /> Show only users with public folders.</label>
    </p>
</form>
<fieldset>
    <table id="user_tbl" style="text-align:center;width:100%;color:#505050;" cellspacing="1" cellpadding="4">
	<tr skip_alternate="skip_alternate" style="background-color:#e0e0e0;font-weight:bold;line-height:1.4em;">
	    <td style="text-align:left;"><img src="templates/default/images/usericon.gif" alt="" class="img1" /> Username</td>
	    <td>Email</td>
	    <td style="width:80px;">Join date</td>
	    <td style="width:80px;">Options</td>
	</tr>
	<?php reset ( $users ); while ( list ( $i, $user ) = each ( $users ) ) : ?>
	<tr>
	    <td style="text-align:left;">
		<img src="templates/default/images/usericon.gif" alt="" class="img1" />
		<a href="<?=$user['info_url']?>"><?=$user['name']?></a>
	    </td>
	    <td><?=ascii_str($user['email'])?></td>
	    <td><?=$user['reg_date']?></td>
	    <td style="text-align:right;">
		<?php if ( $user['has_public'] ) : ?>
		<a href="<?=$user['browse_url']?>" class="special"><img src="templates/default/images/b_browse.gif" alt="" /></a>
		<?php endif; ?>
		<a href="<?=$user['message_url']?>" class="special"><img src="templates/default/images/b_message.gif" alt="" /></a>
	    </td>
	</tr>
	<?php endwhile; ?>
    </table>
</fieldset>

<table style="width:100%;color:#404040;margin-top:5px;" cellspacing="0" cellpadding="0">
    <?php if ( count ( $pages ) ) : ?>
    <tr style="line-height:1.4em;">
	<td>There are <?=number_format($total_users)?> registered users.</td>
	<td style="text-align:right;">

		<?php /* Show previous link */ if ( count ( $pages ) && $pages[0]['number'] == 'PREV' ) : ?>
		<a href="<?=$pages[0]['url']?>" class="special">&laquo; Previous</a>&nbsp;
		<?php endif; ?>

		<select onchange="go(this.value);">
	    <?php reset ( $pages ); while ( list ( , $page ) = each ( $pages ) ) : if ( $page['number'] == 'NEXT' || $page['number'] == 'PREV' ) continue; ?>
			<option value="<?=$page['url']?>" <?=$current_page==$page['number']?'selected="selected" style="font-weight:bold;"':''?>><?=$page['number']?></option>
	    <?php endwhile; ?>
		</select>

		<?php /* Show next link */ if ( count ( $pages ) && $pages[count($pages)-1]['number'] == 'NEXT' ) : ?>
		&nbsp;<a href="<?=$pages[count($pages)-1]['url']?>" class="special">Next &raquo;</a>
		<?php endif; ?>
	</td>
    </tr>
    <?php endif; ?>
</table>


<!-- alternating row color -->
<script type="text/javascript">
    alternateRowColor(getObj('user_tbl'),'tr','#fcfcfc','#f5f5f5');
</script>
<?php else: ?>
There are no registered users.
<?php endif; ?>