<?php /* Show tools menu */ if ( $action == 'tools' ) : ?>
<h1>Uploader Tools</h1>
<br />
<ul style="line-height:1.4em;">
    <li>
	<a href="admin.php?action=emailer" class="special"><strong>Emailer</strong></a><br />
	Use this tool to send emails to (all) your registered users.
    </li>
    <li style="margin-top:8px;">
	<a href="admin.php?action=export" class="special"><strong>Export data</strong></a> /
	<a href="admin.php?action=import" class="special"><strong>Import data</strong></a><br />
	Import/Export Uploader data including users and settings for backup and restore.
    </li>
</ul>
<?php /* End tools menu */ endif; ?>


<?php /*  email */ if ( $action == 'emailer' ) : ?>
<h1>Emailer</h1>
<p>
    When Mass Email is checked, you MUST specify a receiver which should be the Admin email address(es). All your registered
    users will receive a copy of this email as BCC. Otherwise the emailer will only send emails to the address(es) entered.
    If you are sending to multiply users via BCCs, do not check on the mass email checkbox since users in the BCC list will
    receiver duplicate copies of the same email.
    Note: When sending emails to multiple users via BCC. You should enter the admin email address in the Receiver(s) field.
    This is so that other users only see YOUR email and not the email of other users.
</p>
<form method="post" action="admin.php?action=emailer">
    <input type="hidden" name="task" value="send" />
    <fieldset>
	<table style="width:100%" id="emailer_tbl" cellspacing="1" cellpadding="5" border="0">
	    <tr>
		<td>Receiver(s)</td>
		<td><input type="text" name="email[send_to]" size="85" value="<?=$receivers?>" /></td>
	    </tr>
	    <tr>
		<td>BCCs</td>
		<td>
		    <textarea name="email[bcc]" cols="82" rows="5"><?=@$bcc?></textarea>
		</td>
	    </tr>
	    <tr>
		<td>Subject</td>
		<td><input type="text" name="email[subject]" size="85" maxlength="200" /></td>
	    </tr>
	    <tr>
		<td>Mass email</td>
		<td><input type="checkbox" name="email[mass_email]" value="1" class="chkbox" id="mass_email" /> <label for="mass_email">Send this email to all registered users.</label> (Do not check this if you already have a list of BCCs above!)</td>
	    </tr>
	    <tr>
		<td class="tt">Message</td>
		<td><textarea name="email[message]" cols="85" rows="12"></textarea></td>
	    </tr>
	    <tr>
		<td></td>
		<td><input type="submit" value="Send (click once)" onclick="this.value='Sending email...';" class="blue_button" />
		    <input type="button" onclick="go('admin.php?action=tools');" value="Cancel" class="blue_button" /></td>
	    </tr>
	</table>
    </fieldset>
</form>
<script type="text/javascript">
alternateRowColor(getObj('emailer_tbl'),'tr','#F5F5F5','#FBFBFB');
</script>
<?php /* End  emailer */ endif; ?>


<?php /* Export */ if ( $action == 'export' ) : ?>
<h1>Export data</h1>
<form method="post" action="admin.php?action=export&task=export">
    <p>
	After clicking on Export Files, you will be prompted to download a file. Save this anywhere you like. Use the Import Data
	tool to restore users and settings.
	<br /><br />
	<label><input type="checkbox" name="export_settings" value="1" class="chkbox" checked="checked" /> Include uploader settings</label>
	<br /><br />
	<input type="submit" value="Export files" class="blue_button" />
	<input type="button" value="Cancel" class="blue_button" onclick="go('admin.php?action=tools');return false;" />
    </p>
</form>
<?php endif; ?>

<?php /* Import */ if ( $action == 'import' ) : ?>
<h1>Import data</h1>
<form method="post" action="admin.php?action=import&task=import" enctype="multipart/form-data">
    <p>To import backed up data, select the exported file below.
	<br /><strong>Warning:</strong> All imported users will override existing users. Imported uploader settings will override existing settings.
	If you do not want to import any specific settings, uncheck the corresponding boxes.
    </p>
    <table style="width:100%;margin-top:10px;" cellspacing="1" cellpadding="2">
	<tr>
	    <td>Select file:</td>
	    <td><input type="file" name="import_file" size="60" /></td>
	</tr>
	<tr>
	    <td></td>
	    <td>
		<label><input type="checkbox" class="chkbox" name="import_settings" value="1" checked="checked" /> Import uploader settings</label>
		<br /><label><input type="checkbox" class="chkbox" name="import_users" value="1" checked="checked" /> Import users</label>
	    </td>
	</tr>
	<tr>
	    <td></td>
	    <td><input type="submit" value="Import" class="blue_button" /> <input type="button" value="Cancel" class="blue_button" onclick="go('admin.php?action=tools');return false;" /></td>
	</tr>
    </table>
</form>
<?php endif; ?>