<script type="text/javascript">
function sendPM ( )
{
    var content = getObj ( 'newpm[message]' );

    if ( content )
    {
        if ( content.value.length > 1000 )
        {
            help ( 'Your message cannot be longer than 1000 characters. It is now ' + content.value.length + ' characters long.' );

            return false;
        }
    }
    return true;
}

function PMaction ( action )
{
    var formObj = getObj ( 'messages_form' );
    if ( formObj )
    {
        var selected_msg = countCheckedBoxes ( formObj, 'messages[]' );
        if ( !selected_msg )
        {
            help ( 'Please select at least one message.' );
            return false;
        }
        if ( action == 'delete' && !confirm ( 'Are you sure you want to remove the selected messages from your inbox?' ) ) return false;
        formObj.task.value = action;
        formObj.submit();
    }

}
</script>

<div style="float:left; width: 130px;">
    <h1>UserCP Options</h1>
    <ul class="ls_menu">
        <li><a href="usercp.php" class="special">Account info</a></li>
        <li><a href="usercp.php?action=pm" class="special">Messages <?=$new_messages_count > 0 ? "($new_messages_count unread)" : ''?></a></li>
        <li>&nbsp;&nbsp;<a href="usercp.php?action=sendpm" class="special">Send message</a></li>
        <li><a href="usercp.php?action=editoptions" class="special">Preferences</a></li>
        <li><a href="usercp.php?action=editprofile" class="special">Edit email &amp; password</a></li>
    </ul>
</div>

<div style="float:right; width:460px;">
<?php /* Show user messages inbox */ if ( $action == 'pm' ) : ?>
    <h1>Private Messages</h1>
    <?php if ( count ( $messages ) == 0 ) : ?>
    <p style="text-align:center;">You have no messages.</p>
    <?php else: ?>
    <p style="background-color:#FAFAFA;padding:5px;margin-bottom:4px;color:#404040;" onmousedown="return false;">
        <strong class="s2">Selected messages:</strong> &nbsp;<span class="link" onmousedown="PMaction('mark_read');">Mark as read</span> - <span class="link" onmousedown="PMaction('mark_unread');">Mark as unread</span> -
        <span class="link" onmousedown="PMaction('delete');">Delete</span>
    </p>
    <form id="messages_form" method="post" action="usercp.php?action=pmactions">
        <input type="hidden" name="task" value="" />
        <table id="msg_tbl" cellspacing="0" cellpadding="3" border="0" style="color:#606060;width:100%;margin: 2px 0px 4px 0px;">
            <tr class="color3" skip_alternate="skip_alternate">
                <td style="width:20px;"><input type="checkbox" onclick="checkAllBoxes(this.form,'messages[]',this.checked);" /></td>
                <td style="width:270px;"><strong class="s1">Subject</strong></td>
                <td class="ct"><strong class="s1">From</strong></td>
                <td class="ct"><strong class="s1">Received</strong></td>
            </tr>
            <?php reset ( $messages ); while ( list ( $i, $msg ) = each ( $messages ) ) : ?>
            <tr <?=$msg['read']?'':'skip_alternate="skip_alternate" class="color4"'?>>
                <td><input type="checkbox" name="messages[]" value="<?=$msg['pmid']?>" /></td>
                <td><a href="<?=$msg['read_url']?>"><?=$msg['subject']?></a></td>
                <td class="ct"><a href="<?=$msg['send_profile_url']?>"><?=$msg['name']?></a></td>
                <td class="ct"><?=$msg['time']?></td>
            </tr>
            <?php endwhile; ?>
        </table>
    </form>
    <?php endif; ?>
<?php /* Send message */ elseif ( $action == 'sendpm' ) : ?>
    <h1>Send a message</h1>
    <form action="usercp.php?action=sendpm" method="post" onsubmit="return sendPM();">
        <input type="hidden" name="task" value="sendpm" />
        <?php /* Errors will be printed here */ if ( isset ( $error ) ) print $error; ?>
        <table id="send_tbl" cellspacing="1" cellpadding="1" border="0" style="width:100%;">
            <tr>
                <td style="width:70px;">Username</td>
                <td><input type="text" name="newpm[to]" value="<?=$newpm['to']?>" maxlength="30" size="30" /></td>
            </tr>
            <tr>
                <td>Subject</td>
                <td><input type="text" name="newpm[subject]" value="<?=$newpm['subject']?>" maxlength="100" size="68" /></td>
            </tr>
            <tr>
                <td class="tt">
                    Message
                </td>
                <td>
                    <textarea name="newpm[message]" id="newpm[message]" cols="65" rows="8"><?=$newpm['message']?></textarea><br />
                    <span style="font-size:0.9em;color:gray;">Message cannot be longer than 1000 characters.</span>
                    <span class="help" style="font-size:0.9em;" onclick="help('Supported BB codes:\n[B]bold text[/B]\n[I]Italicized text[/I]\n[color=#xxxxxx]colored text[/color]\n[url]http://celerondude.com[/url]\n[url=http://celerondude.com]Go to my website[/url]\n[IMG]http://celerondude.com/image.jpg[/IMG]');">BB Codes</span>
                </td>
            </tr>
            <tr>
                <td></td>
                <td><input type="submit" value="Send" class="blue_button" /> <input type="button" value="Cancel" onclick="go('usercp.php?action=pm');" class="blue_button" /></td>
            </tr>
        </table>
    </form>
<?php /* Read PM */ elseif ( $action == 'readpm' ) : ?>
    <h1>Message</h1>
    <table id="readpm_tbl" cellspacing="1" cellpadding="5" border="0" style="width:100%;">
        <tr>
            <td style="width:50px;"><strong class="s1">Subject</strong></td>
            <td><?=$message['subject']?></td>
        </tr>
        <tr>
            <td><strong class="s1">From</strong></td>
            <td><a href="<?=$message['send_profile_url']?>" class="special"><?=$message['name']?></a> on <?=$message['time']?></td>
        </tr>
        <tr>
            <td><strong class="s1">Action</strong></td>
            <td>
                <a href="<?=$message['reply_url']?>" class="special2"><img src="templates/default/images/b_reply.gif" alt="" /></a>
                <a href="<?=$message['delete_url']?>" class="special2" onclick="return confirm('Are you sure?');"><img src="templates/default/images/b_delete.gif" alt="" /></span>
            </td>
        </tr>
    </table>
    <p style="padding:5px;background-color:#F2F2F2;margin:1px;">
        <?=$message['message']?>
    </p>
<?php /* Edit user info, show this */ elseif ( $action == 'editprofile' ) : ?>
    <h1>Edit profile</h1>
    <p style="padding:0px;margin:0px;">
        Enter your current password before continuing.
        Enter a new password or email address if you want to change them, otherwise leave the fields alone.
        If you enter a new email address, an email will be sent to the new address to verify it. The email address
        on your account will NOT change until you verify the new address.
        </p>
    <form action="usercp.php?action=editprofile" method="post">
        <input type="hidden" name="task" value="save" />
        <?php /* Errors will be printed here */ if ( isset ( $error ) ) print $error; ?>
        <table cellspacing="1" cellpadding="2" border="0" style="margin-top:8px;">
            <tr>
                <td style="width:150px;">Current password <span style="color:red;">*</span></td>
                <td><input type="password" name="current_password" value="" maxlength="30" size="30" /></td>
            </tr>
            <tr>
                <td>New password (optional)</td>
                <td><input type="password" name="new_password" value="" maxlength="30" size="30" /></td>
            </tr>
            <tr>
                <td>Confirm password</td>
                <td><input type="password" name="new_password_confirm" value="" maxlength="30" size="30" /></td>
            </tr>
            <tr>
                <td>New email address</td>
                <td><input type="text" name="email" value="<?=$user['email']?>" maxlength="100" size="50" /></td>
            </tr>
            <tr>
                <td></td>
                <td><input type="submit" value="Save" class="blue_button" /> <input type="button" value="Cancel" onclick="go('usercp.php');" class="blue_button" /></td>
            </tr>
        </table>
    </form>
<?php /* If edit options, show this section only */ elseif ( $action == 'editoptions' ) : ?>
    <h1>User preferences</h1>
    <form action="usercp.php?action=editoptions" method="post">
        <input type="hidden" name="task" value="save" />
        <ul class="ls_menu">
            <li>
                <input type="checkbox" class="chkbox" name="pemail" value="1" id="pemail" <?=$user['pemail']==1?'checked="checked"':''?>/>
                <label for="pemail">Allow other users to view my email.</label>
            </li>
            <li>
                <input type="checkbox" class="chkbox" name="pmessage" value="1" id="pmessage" <?=$user['pmessage']==1?'checked="checked"':''?>/>
                <label for="pmessage">Allow other users to message me.</label>
            </li>
            <li style="margin-top:10px;"><input type="submit" value="Save preferences" class="blue_button"  /></li>
        </ul>

    </form>
<?php /* Otherwise, display account info */  else: ?>
    <h1>User account information</h1>
    <table id="useer_info" cellspacing="1" cellpadding="3" border="0" style="width:100%;color:#404040;">
        <tr>
            <td style="width:200px;">Email address</td>
            <td><?=$user['email']?></td>
        </tr>
        <tr>
            <td>User level</td>
            <td><?=$user['level']?></td>
        </tr>
        <tr>
            <td style="width:200px;">Max bandwidth</td>
            <td><?=$user['bw_max']?></td>
        </tr>
        <tr>
            <td>Bandwidth counter resets</td>
            <td><?=$user['bw_auto_reset'] ? 'Every ' . $user['bw_reset_period'] . ' days' : 'By admin'?></td>
        </tr>
        <tr>
            <td>Max storage</td>
            <td><?=$user['max_storage']?></td>
        </tr>
    </table>
<?php /* end if for usercp actions */ endif; ?>
</div>
<div class="spacer"><!-- --></div>

<script type="text/javascript">
    alternateRowColor(getObj('user_info'),'tr','#F5F5F5','#FBFBFB');
    alternateRowColor(getObj('msg_tbl'),'tr','#fcfcfc','#f5f5f5');
    alternateRowColor(getObj('readpm_tbl'),'tr','#F5F5F5','#FBFBFB');
</script>
